/* Generated by Frama-C */
#include "stddef.h"
#include "stdint.h"
#include "stdio.h"
extern  __attribute__((__FC_BUILTIN__)) int __e_acsl_sound_verdict;

int main(void)
{
  int __retres;
  __e_acsl_memory_init((int *)0,(char ***)0,(size_t)8);
  int value = 1;
  __e_acsl_store_block((void *)(& value),(size_t)4);
  __e_acsl_full_init((void *)(& value));
  {
    int __gen_e_acsl_x;
    __e_acsl_assert_data_t __gen_e_acsl_assert_data = {.values = (void *)0};
    __e_acsl_assert_register_int(& __gen_e_acsl_assert_data,"value",0,value);
    __gen_e_acsl_x = value;
    __gen_e_acsl_assert_data.blocking = 0;
    __gen_e_acsl_assert_data.kind = "Assertion";
    __gen_e_acsl_assert_data.pred_txt = "\\let x = value; \\false";
    __gen_e_acsl_assert_data.file = "tests/special/e-acsl-external-print-value.c";
    __gen_e_acsl_assert_data.fct = "main";
    __gen_e_acsl_assert_data.line = 7;
    __e_acsl_assert(0,& __gen_e_acsl_assert_data);
    __e_acsl_assert_clean(& __gen_e_acsl_assert_data);
  }
  /*@ check \let x = value; \false; */ ;
  __retres = 0;
  __e_acsl_delete_block((void *)(& value));
  __e_acsl_memory_clean();
  return __retres;
}


